Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Class DeviceUnitRequest

    java.lang.Object
      com.connecterra.ale.reader.DeviceUnitRequest

    public class DeviceUnitRequest

extends Object

One application request, in a form easily used by a device driver. Each DeviceUnitRequest corresponds roughly to one `ECSpec` or one `AccessSpec`.

The request indicates that driver must inventory the Set of `DeviceUnits`, and for each tag visible, perform the ordered List of `DeviceOpSpecs`. It must then construct a `DeviceTagReport` (usually contained in a `AbstractPhysicalDevice.TagData` for each tag seen and processed.

See `AbstractPhysicalDevice.Requests`, `AbstractPhysicalDevice.addTagData(com.connecterra.ale.reader.AbstractPhysicalDevice.TagData)` (for asynchronous drivers), and `AbstractDispatchingPollingPhysicalDevice.inventoryTagsInField(java.util.Set)` (for polling and autonomous drivers) for more details.

Method Summary
`boolean` | `equals(Object other)`
`List` | `getDeviceOpSpecs()`
`Set` | `getDeviceUnits()`
`int` | `hashCode()`
`boolean` | `isRestrictSingleTag()` If true, then the `DeviceUnitRequest` should fail if more than one tag would be operated on.
`boolean` | `isStopOnError()` If true, then the `DeviceUnitRequest` should stop immediately if one of the DeviceOpSpecs fails.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDeviceOpSpecs

    public List getDeviceOpSpecs()

  Returns:
    the List of `DeviceOpSpec`s which describes the operations to be executed on the visible tags.

### getDeviceUnits

    public Set getDeviceUnits()

  Returns:
    a Set of `DeviceUnit` whose tags should be inventories and operated on.

### isRestrictSingleTag

    public boolean isRestrictSingleTag()

  If true, then the `DeviceUnitRequest` should fail if more than one tag would be operated on.

  Returns:
    a `boolean` value

### isStopOnError

    public boolean isStopOnError()

  If true, then the `DeviceUnitRequest` should stop immediately if one of the DeviceOpSpecs fails. Otherwise, all the DeviceOpSpecs should be executed.

  Returns:
    a `boolean` value

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD